SDL_SetWindowResizable(3)

NAME
SDL_SetWindowResizable - Set the user-resizable state of a window.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowResizable(SDL_Window *window, bool resizable);

DESCRIPTION
This will add or remove the window's SDL_WINDOW_RESIZABLE flag and allow/disallow user resizing of the window. This is a no-op if the window's resizable state already matches the requested state.

You can't change the resizable state of a fullscreen window.

FUNCTION PARAMETERS

window
    the window of which to change the resizable state.

resizable
    true to allow resizing, false to disallow.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowFlags(3)